## com.google.apphosting.api
Class DeadlineExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.apphosting.api.DeadlineExceededException

All Implemented Interfaces:
  java.io.Serializable

    public class DeadlineExceededException

extends java.lang.RuntimeException

`DeadlineExceededException` is an unchecked exception thrown whenever a request has exceeded the 30 second request deadline.

It will typically be thrown from API methods that did not finish by the deadline. However, this exception may also be thrown at any time, at any arbitrary point in the execution of your code.

An application may catch `DeadlineExceededException` to perform cleanup, but it must finish execution shortly afterwards. If the application delays too long, an uncatchable `Error` is thrown to force termination of the request with extreme prejudice.

See Also:
  Serialized Form

Constructor Summary
`DeadlineExceededException()`
`DeadlineExceededException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeadlineExceededException

    public DeadlineExceededException()

### DeadlineExceededException

    public DeadlineExceededException(java.lang.String message)